package org.databinding.listener;

import java.beans.PropertyChangeEvent;
import java.beans.PropertyChangeListener;

import org.databinding.Binding;
import org.databinding.DataBindingContext;

public class ModelListener implements PropertyChangeListener {

	private DataBindingContext dbc;
	private Binding binding;

	public ModelListener(DataBindingContext dbc, Binding binding) {
		this.dbc = dbc;
		this.binding = binding;
	}

	@Override
	public void propertyChange(PropertyChangeEvent evt) {
		dbc.updateUI(binding.getModel(), binding.getField());
	}
}